/// <reference types="node" />
import { RemoteCatalogGetter } from '../interfaces/remote-catalog';
import { Url } from 'url';
import { CommandUtil } from "../interfaces/command-util";
import { ForceErrorImpl } from "./force-error-impl";
export declare class RemoteCatalogGetterImpl extends ForceErrorImpl implements RemoteCatalogGetter {
    private commandUtil;
    private baseUrl;
    constructor(commandUtil: CommandUtil);
    getCatalogFromUrl(url: Url | string, cb: (err, remoteCatalog) => void): void;
    private getRemoteResource(url, parentCatalogEntryName, cb);
    resolveJsonObjectFromUrl(url: Url | string, cb: (err: Error, jsonObject: any, absoluteUrl: string) => void): void;
    resolveTextResourceFromUrl(url: Url | string, cb: (err: Error, text?: string, absoluteUrl?: string) => void): void;
    private static getParsedUrl(url);
}
