/// <reference types="node" />
import { Spawn } from '../interfaces/spawn';
import { ChildProcess } from 'child_process';
import { CommandUtil } from '../interfaces/command-util';
import { ForceErrorImpl } from "./force-error-impl";
import { SpawnOptions2 } from "../custom-typings";
export declare class SpawnImpl extends ForceErrorImpl implements Spawn {
    commandUtil: CommandUtil;
    cachedPassword: string;
    constructor(commandUtil: CommandUtil);
    spawnShellCommandPipelineAsync(cmdArray: string[][], optionsArray?: SpawnOptions2[], cbStatusOrFinal?: (err: Error, result: string) => void, cbFinal?: (err: Error, result: string) => void): ChildProcess;
    sudoSpawnPipelineAsync(cmdArray: string[][], optionsArray?: SpawnOptions2[], cbStatusOrFinal?: (err: Error, result: string) => void, cbFinal?: (err: Error, result: string) => void): ChildProcess;
    private validate_spawnShellCommandAsync_args(cmd, options?, cbStatus?, cbFinal?);
    spawnShellCommandAsync(_cmd: string[], _options?: SpawnOptions2, _cbStatus?: (err: Error, result: string) => void, _cbFinal?: (err: Error, result: string) => void): ChildProcess;
    private static reportStatus(cbStatus, status);
    private diagnosticTrace(msg, options);
    private static childCloseOrExit(code, signal, stdoutText, stderrText, options, cbStatus, cbFinal);
    sudoSpawnAsync(cmd: string[], options?: SpawnOptions2, cbStatusOrFinal?: (err: Error, result: string) => void, cbFinal?: (err: Error, result: string) => void): ChildProcess;
}
