"use strict";
const inversify_1 = require('inversify');
const progress_bar_impl_1 = require("./implementations/progress-bar-impl");
const command_line_impl_1 = require("./implementations/command-line-impl");
const command_util_impl_1 = require("./implementations/command-util-impl");
const nested_yargs_wrapper_impl_1 = require("./implementations/nested-yargs-wrapper-impl");
const spawn_impl_1 = require("./implementations/spawn-impl");
const command_impl_1 = require("./implementations/command-impl");
const positive_impl_1 = require("./implementations/positive-impl");
const progress_task_impl_1 = require("./implementations/progress-task-impl");
const postal_impl_1 = require("./implementations/postal-impl");
const crypton_impl_1 = require("./implementations/crypton-impl");
const remote_catalog_impl_1 = require("./implementations/remote-catalog-impl");
let kernel = new inversify_1.Container();
kernel.bind('CommandUtil').to(command_util_impl_1.CommandUtilImpl).inSingletonScope();
kernel.bind('ProgressBar').to(progress_bar_impl_1.ProgressBarImpl).inSingletonScope();
kernel.bind('Crypton').to(crypton_impl_1.CryptonImpl).inSingletonScope();
kernel.bind('IPostal').to(postal_impl_1.PostalImpl).inSingletonScope();
kernel.bind('ProgressTask').to(progress_task_impl_1.ProgressTaskImpl);
kernel.bind('CommandLine').to(command_line_impl_1.CommandLineImpl);
kernel.bind('NestedYargs').to(nested_yargs_wrapper_impl_1.NestedYargsImpl);
kernel.bind('CommandImpl').to(command_impl_1.CommandImpl);
kernel.bind('Spawn').to(spawn_impl_1.SpawnImpl);
kernel.bind('Positive').to(positive_impl_1.PositiveImpl);
kernel.bind('RemoteCatalogGetter').to(remote_catalog_impl_1.RemoteCatalogGetterImpl);
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = kernel;
//# sourceMappingURL=inversify.config.js.map